Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class EnterpriseBeansTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.EnterpriseBeansTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EnterpriseBeansType<T>

    public class EnterpriseBeansTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EnterpriseBeansType<T>

This class implements the `enterprise-beansType` xsd type

Original Documentation:

The enterprise-beansType declares one or more enterprise
beans. Each bean can be a session, entity or message-driven
bean.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EnterpriseBeansTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EnterpriseBeansTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`EntityBeanType<EnterpriseBeansType<T>>` | `entity()` Returns the `entity` element
`java.util.List<EntityBeanType<EnterpriseBeansType<T>>>` | `getEntityList()` Returns all `entity` elements
`java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>>` | `getMessageDrivenList()` Returns all `message-driven` elements
`java.util.List<SessionBeanType<EnterpriseBeansType<T>>>` | `getSessionList()` Returns all `session` elements
`MessageDrivenBeanType<EnterpriseBeansType<T>>` | `messageDriven()` Returns the `message-driven` element
`EnterpriseBeansType<T>` | `removeAllEntity()` Removes all `entity` elements
`EnterpriseBeansType<T>` | `removeAllMessageDriven()` Removes all `message-driven` elements
`EnterpriseBeansType<T>` | `removeAllSession()` Removes all `session` elements
`SessionBeanType<EnterpriseBeansType<T>>` | `session()` Returns the `session` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseBeansTypeImpl

    public EnterpriseBeansTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### EnterpriseBeansTypeImpl

    public EnterpriseBeansTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllSession

    public EnterpriseBeansType<T> removeAllSession()

  Removes all `session` elements

  Specified by:
    `removeAllSession` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### session

    public SessionBeanType<EnterpriseBeansType<T>> session()

  Returns the `session` element

  Specified by:
    `session` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `session`

### getSessionList

    public java.util.List<SessionBeanType<EnterpriseBeansType<T>>> getSessionList()

  Returns all `session` elements

  Specified by:
    `getSessionList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `session`

### removeAllEntity

    public EnterpriseBeansType<T> removeAllEntity()

  Removes all `entity` elements

  Specified by:
    `removeAllEntity` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### entity

    public EntityBeanType<EnterpriseBeansType<T>> entity()

  Returns the `entity` element

  Specified by:
    `entity` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `entity`

### getEntityList

    public java.util.List<EntityBeanType<EnterpriseBeansType<T>>> getEntityList()

  Returns all `entity` elements

  Specified by:
    `getEntityList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `entity`

### removeAllMessageDriven

    public EnterpriseBeansType<T> removeAllMessageDriven()

  Removes all `message-driven` elements

  Specified by:
    `removeAllMessageDriven` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### messageDriven

    public MessageDrivenBeanType<EnterpriseBeansType<T>> messageDriven()

  Returns the `message-driven` element

  Specified by:
    `messageDriven` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `message-driven`

### getMessageDrivenList

    public java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>> getMessageDrivenList()

  Returns all `message-driven` elements

  Specified by:
    `getMessageDrivenList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `message-driven`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD